Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessMemberResultCallback_0_3< del, void, T, A1, A2, A3 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessMemberResultCallback_0_3< del, void, T, A1, A2, A3 >:

List of all members.

## Public Types

typedef TessCallback3< A1, A2, A3 > | base
typedef void(T::* | MemberSignature )(A1, A2, A3)

## Public Member Functions

| _TessMemberResultCallback_0_3 (T *object, MemberSignature member)
virtual void | Run (A1 a1, A2 a2, A3 a3)
Public Member Functions inherited from TessCallback3< A1, A2, A3 >
virtual | ~TessCallback3 ()

## Detailed Description

### template<bool del, class T, class A1, class A2, class A3>
class _TessMemberResultCallback_0_3< del, void, T, A1, A2, A3 >

Definition at line 890 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class T , class A1 , class A2 , class A3 >

typedef TessCallback3<A1,A2,A3> _TessMemberResultCallback_0_3< del, void, T, A1, A2, A3 >::base

Definition at line 893 of file tesscallback.h.

template<bool del, class T , class A1 , class A2 , class A3 >

typedef void(T::* _TessMemberResultCallback_0_3< del, void, T, A1, A2, A3 >::MemberSignature)(A1, A2, A3)

Definition at line 894 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class T , class A1 , class A2 , class A3 >

_TessMemberResultCallback_0_3< del, void, T, A1, A2, A3 >::_TessMemberResultCallback_0_3 | ( | T * | object,
|  | MemberSignature | member
| ) |  |

inline

Definition at line 901 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class T , class A1 , class A2 , class A3 >

virtual void _TessMemberResultCallback_0_3< del, void, T, A1, A2, A3 >::Run | ( | A1 | a1,
|  | A2 | a2,
|  | A3 | a3
| ) |  |

inlinevirtual

Implements TessCallback3< A1, A2, A3 >.

Definition at line 907 of file tesscallback.h.

{
if (!del) {
(object_->*member_)(a1,a2,a3);
} else {
(object_->*member_)(a1,a2,a3);
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h